Bug 208382 - [PATCH] devel/awscli: update to 1.10.20, devel/py-botocore: update to 1.4.11
Summary: [PATCH] devel/awscli: update to 1.10.20, devel/py-botocore: update to 1.4.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-03-29 13:30 UTC by Bradley T. Hughes
Modified: 2016-04-12 19:49 UTC (History)
2 users (show)

See Also:
alexey: maintainer-feedback+


Attachments
patch from a git commit, apply with patch -p1 (2.40 KB, text/plain)
2016-03-29 13:30 UTC, Bradley T. Hughes
no flags Details
awscli poudriere testport log (323.79 KB, text/plain)
2016-03-29 13:31 UTC, Bradley T. Hughes
no flags Details
py-botocore poudriere testport log (143.31 KB, text/plain)
2016-03-29 13:31 UTC, Bradley T. Hughes
no flags Details
patch from a git commit, apply with patch -p1 (2.34 KB, text/plain)
2016-03-29 18:32 UTC, Bradley T. Hughes
no flags Details
patch from a git commit, apply with patch -p1 (2.34 KB, text/plain)
2016-03-31 20:25 UTC, Bradley T. Hughes
no flags Details
awscli poudriere testport log (323.79 KB, text/plain)
2016-03-31 20:25 UTC, Bradley T. Hughes
no flags Details
py-botocore poudriere testport log (144.10 KB, text/plain)
2016-03-31 20:26 UTC, Bradley T. Hughes
no flags Details
patch from a git commit, apply with patch -p1 (2.74 KB, patch)
2016-04-12 19:09 UTC, Bradley T. Hughes
no flags Details | Diff
awscli poudriere testport log (323.69 KB, text/plain)
2016-04-12 19:10 UTC, Bradley T. Hughes
no flags Details
py-botocore poudriere testport log (144.07 KB, text/plain)
2016-04-12 19:10 UTC, Bradley T. Hughes
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bradley T. Hughes freebsd_committer 2016-03-29 13:30:32 UTC
Created attachment 168756 [details]
patch from a git commit, apply with patch -p1

Upgrade devel/awscli and devel/py-botocore to the latest versions. Both
packages need to be updated at the same time, as they are developed and
released in tandem.

See also https://github.com/bradleythughes/freebsd-ports/commit/d026755791c418b6df8fa2e0c4fa1ddcd2ce73d1
Comment 1 Bradley T. Hughes freebsd_committer 2016-03-29 13:31:05 UTC
Created attachment 168757 [details]
awscli poudriere testport log
Comment 2 Bradley T. Hughes freebsd_committer 2016-03-29 13:31:34 UTC
Created attachment 168758 [details]
py-botocore poudriere testport log
Comment 3 Dmitry Marakasov freebsd_committer 2016-03-29 18:28:36 UTC
Again, broken patch with CRLF line endings.
Comment 4 Bradley T. Hughes freebsd_committer 2016-03-29 18:32:36 UTC
Created attachment 168766 [details]
patch from a git commit, apply with patch -p1

New patch without CRLF line endings.
Comment 5 Bradley T. Hughes freebsd_committer 2016-03-31 20:25:14 UTC
Created attachment 168848 [details]
patch from a git commit, apply with patch -p1

Updated patch to move to latest upstream releases, aws-cli 1.10.17 and botocore 1.4.8
Comment 6 Bradley T. Hughes freebsd_committer 2016-03-31 20:25:39 UTC
Created attachment 168849 [details]
awscli poudriere testport log
Comment 7 Bradley T. Hughes freebsd_committer 2016-03-31 20:26:04 UTC
Created attachment 168850 [details]
py-botocore poudriere testport log
Comment 8 Bradley T. Hughes freebsd_committer 2016-04-12 19:09:50 UTC
Created attachment 169253 [details]
patch from a git commit, apply with patch -p1

Updated patch for latest upstream releases.
Comment 9 Bradley T. Hughes freebsd_committer 2016-04-12 19:10:16 UTC
Created attachment 169255 [details]
awscli poudriere testport log
Comment 10 Bradley T. Hughes freebsd_committer 2016-04-12 19:10:40 UTC
Created attachment 169256 [details]
py-botocore poudriere testport log
Comment 11 Kurt Jaeger freebsd_committer 2016-04-12 19:40:39 UTC
testbuilds@work
Comment 12 Kurt Jaeger freebsd_committer 2016-04-12 19:49:13 UTC
Committed, thanks!
Comment 13 commit-hook freebsd_committer 2016-04-12 19:49:19 UTC
A commit references this bug:

Author: pi
Date: Tue Apr 12 19:48:53 UTC 2016
New revision: 413158
URL: https://svnweb.freebsd.org/changeset/ports/413158

Log:
  devel/py-botocore: 1.4.5 -> 1.4.11
  devel/awscli: 1.10.14 -> 1.10.20

  botocore:
    https://github.com/boto/botocore/blob/develop/CHANGELOG.rst

  awscli:
    https://aws.amazon.com/releasenotes/CLI?browse=1

  PR:		208382
  Submitted by:	Bradley T. Hughes <bradleythughes@fastmail.fm>
  Approved by:	alexey@renatasystems.org (maintainer)

Changes:
  head/devel/awscli/Makefile
  head/devel/awscli/distinfo
  head/devel/py-botocore/Makefile
  head/devel/py-botocore/distinfo